
Foreman - Refactor #22927

Fix change in has_many associations audits

03/19/2018 06:37 AM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Audit Log   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5334

  

Description

For katello resources it is failing with error - "Uninitialized Constant"

Related issues:

Related to Foreman - Tracker #21879: [TRACKER] Audit every possible resource New 12/06/2017

Associated revisions

Revision 6ed2083b - 03/20/2018 06:51 PM - Kavita Gaikwad

Fixes #22927 - method in audit_associations to get class

With this commit, we can override association_class method

in other plugins like Katello.

History

#1 - 03/19/2018 06:38 AM - Kavita Gaikwad

- Related to Tracker #21879: [TRACKER] Audit every possible resource added

#2 - 03/19/2018 08:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5334 added

#3 - 03/20/2018 07:01 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6ed2083b81bc0fb7a8c7aef8570fa26c50a799b8.

#4 - 03/21/2018 06:34 AM - Marek Hulán

- translation missing: en.field_release set to 330

#5 - 04/10/2018 09:59 AM - Tomer Brisker

- Category set to Audit Log
